QuantLib: AnalyticHaganPricer Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
AnalyticHaganPricer Class Reference

CMS-coupon pricer. More...

`#include <ql/cashflows/conundrumpricer.hpp>`

Inheritance diagram for AnalyticHaganPricer:
[legend]

## Public Member Functions
| AnalyticHaganPricer (const Handle< SwaptionVolatilityStructure > &swaptionVol, GFunctionFactory::YieldCurveModel modelOfYieldCurve, const Handle< Quote > &meanReversion)
Public Member Functions inherited from HaganPricer
virtual Rate | swapletRate () const
virtual Real | capletPrice (Rate effectiveCap) const
virtual Rate | capletRate (Rate effectiveCap) const
virtual Real | floorletPrice (Rate effectiveFloor) const
virtual Rate | floorletRate (Rate effectiveFloor) const
Real | meanReversion () const
void | setMeanReversion (const Handle< Quote > &meanReversion)
Public Member Functions inherited from CmsCouponPricer
| CmsCouponPricer (const Handle< SwaptionVolatilityStructure > &v=Handle< SwaptionVolatilityStructure >())
Handle< SwaptionVolatilityStructure > | swaptionVolatility () const
void | setSwaptionVolatility (const Handle< SwaptionVolatilityStructure > &v=Handle< SwaptionVolatilityStructure >())
Public Member Functions inherited from FloatingRateCouponPricer
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
Real | optionletPrice (Option::Type optionType, Real strike) const
Real | swapletPrice () const
Protected Member Functions inherited from HaganPricer
| HaganPricer (const Handle< SwaptionVolatilityStructure > &swaptionVol, GFunctionFactory::YieldCurveModel modelOfYieldCurve, const Handle< Quote > &meanReversion)
void | initialize (const FloatingRateCoupon &coupon)

## Additional Inherited Members
Protected Attributes inherited from HaganPricer
boost::shared_ptr< YieldTermStructure > | rateCurve_
GFunctionFactory::YieldCurveModel | modelOfYieldCurve_
boost::shared_ptr< GFunction > | gFunction_
const CmsCoupon * | coupon_
Date | paymentDate_
Date | fixingDate_
Rate | swapRateValue_
DiscountFactor | discount_
Real | annuity_
Real | gearing_
Spread | spread_
Real | spreadLegValue_
Rate | cutoffForCaplet_
Rate | cutoffForFloorlet_
Handle< Quote > | meanReversion_
Period | swapTenor_
boost::shared_ptr< VanillaOptionPricer > | vanillaOptionPricer_

## Detailed Description

CMS-coupon pricer.